Class | Tk::BLT::Barchart
In: | tk/lib/tkextlib/blt/barchart.rb
Parent: | TkWindow

### Methods

extents inside invtransform metafile snap transform

### Included Modules

PlotComponent GraphCommand

### Constants

TkCommandNames | = | ['::blt::barchart'.freeze].freeze
WidgetClassName | = | 'Barchart'.freeze

### Public Instance methods

extents(item)

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 52
        def extents(item)
          num_or_str(tk_send_without_enc('extents', item))
        end

inside(x, y)

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 60
        def inside(x, y)
          bool(tk_send_without_enc('inside', x, y))
        end

invtransform(x, y)

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 56
        def invtransform(x, y)
          list(tk_send_without_enc('invtransform', x, y))
        end

metafile(file=None)

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 64
        def metafile(file=None)
          # Windows only
          tk_send('metafile', file)
          self
        end

snap(output, keys={})

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 70
        def snap(output, keys={})
          tk_send_without_enc('snap', *(hash_kv(keys, false) + output))
          self
        end

transform(x, y)

[Source]

    # File tk/lib/tkextlib/blt/barchart.rb, line 75
        def transform(x, y)
          list(tk_send_without_enc('transform', x, y))
        end

[Validate]